###  | #  |

Public Member Functions | List of all members
MutableRandomAccessNDImageViewConcept< View > Struct Template Reference
Image View » Concepts » ImageViewNDLocatorConcept

N-dimensional view over mutable values. More...

`#include <image_view.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename View>
struct boost::gil::MutableRandomAccessNDImageViewConcept< View >

N-dimensional view over mutable values.

concept MutableRandomAccessNDImageViewConcept<RandomAccessNDImageViewConcept View>
{
where Mutable<reference>;
};
boost::gil::MutableRandomAccessNDImageViewConcept
N-dimensional view over mutable values.
Definition: concepts/image_view.hpp:471
boost::gil::RandomAccessNDImageViewConcept
N-dimensional view over immutable values.
Definition: concepts/image_view.hpp:104

The documentation for this struct was generated from the following file:

- concepts/image_view.hpp